| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Num::InputOutputDataDefinitonDto Class Reference

DTO (data transfer object) for data definition that contains input and output elements. More...

Inheritance diagram for IG::Num::InputOutputDataDefinitonDto:
[legend]
Collaboration diagram for IG::Num::InputOutputDataDefinitonDto:
[legend]

List of all members.

## Public Member Functions
| InputOutputDataDefinitonDto ()
override InputOutputDataDefiniton | CreateObject ()
| Creates and returns an object consistent with current DTO.
## Public Attributes
InputElementDefinitionDto[] | Input = null
OutputElementDefinitionDto[] | Output = null
string | Name = InputOutputDataDefiniton.DefaultName
| Name of the current definition of input parameters and output values of a model. Default value is specified by the static property InputOutputDataDefiniton.DefaultName.
string | Description = InputOutputDataDefiniton.DefaultDescription
| Description of the current definition of input parameters and output values of a model. Default value is specified by the static property InputOutputDataDefiniton.DefaultDescription.
int | InputLength = 10
| Gets number of input parameters.
int | OutputLength = 100
| Gets number of output values.
## Protected Member Functions
override void | CopyFromPlain (InputOutputDataDefiniton obj)
| Copies data from an object to the current DTO.
override void | CopyToPlain (ref InputOutputDataDefiniton obj)
| Copies data from an object to the current DTO.

## Detailed Description

DTO (data transfer object) for data definition that contains input and output elements.

$A Ifor Mar11;

## Constructor & Destructor Documentation

IG::Num::InputOutputDataDefinitonDto::InputOutputDataDefinitonDto | ( |  | ) | `[inline]`

## Member Function Documentation

override InputOutputDataDefiniton IG::Num::InputOutputDataDefinitonDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns an object consistent with current DTO.

override void IG::Num::InputOutputDataDefinitonDto::CopyFromPlain | ( | InputOutputDataDefiniton | obj | ) | `[inline, protected]`

Copies data from an object to the current DTO.

Parameters:

  obj | Object which data is copied from.

override void IG::Num::InputOutputDataDefinitonDto::CopyToPlain | ( | ref InputOutputDataDefiniton | obj | ) | `[inline, protected]`

Copies data from an object to the current DTO.

Parameters:

  obj | Object which data is copied from.

## Member Data Documentation

InputElementDefinitionDto [] IG::Num::InputOutputDataDefinitonDto::Input = null

OutputElementDefinitionDto [] IG::Num::InputOutputDataDefinitonDto::Output = null

string IG::Num::InputOutputDataDefinitonDto::Name = InputOutputDataDefiniton.DefaultName

Name of the current definition of input parameters and output values of a model. Default value is specified by the static property InputOutputDataDefiniton.DefaultName.

string IG::Num::InputOutputDataDefinitonDto::Description = InputOutputDataDefiniton.DefaultDescription

Description of the current definition of input parameters and output values of a model. Default value is specified by the static property InputOutputDataDefiniton.DefaultDescription.

int IG::Num::InputOutputDataDefinitonDto::InputLength = 10

Gets number of input parameters.

int IG::Num::InputOutputDataDefinitonDto::OutputLength = 100

Gets number of output values.

The documentation for this class was generated from the following file:

- SampledDataDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events